Skip to main content

Authorize an external resource

Authorizes an external resource to perform specific actions. Use this to grant the resource permissions based on BlueXP user token authentication.

HTTP method and endpoint

POST /tenancy/authorize

Token usage

BlueXP user token.

Usage notes

Authorizes an external resource to perform specific actions.

Parameters

Name Type In Required Description

authorization

string

header

True

Authorization JWT access token

X-User-Token

string

header

False

User JWT access token

X-Service-Request-Id

string

header

False

Request identifier

Request Body

Name Type Required Description

resourceIdentifier

string

True

action

string

True

accountId

string

False

Example request
{
  "resourceIdentifier": "string",
  "action": "string",
  "accountId": "string"
}

Response

Status: 200, Default response
Name Type Required Description

agentId

string

False

resourceIdentifier

string

False

resourceType

string

False

resourcePublicId

string

False

accountPublicId

string

False

agentIds

array[string]

False

Example response
{
  "agentId": "string",
  "resourceIdentifier": "string",
  "resourceType": "string",
  "resourcePublicId": "string",
  "accountPublicId": "string",
  "agentIds": [
    "string"
  ]
}

Definitions

See Definitions

body

Name Type Required Description

resourceIdentifier

string

True

action

string

True

accountId

string

False

Close
Try it out

Sign in with your NetApp Cloud Central credentials.

Try this API

Parameters

Headers

Body

Code

Response